require 'json'
require 'rest-client'

class Reddit
  attr_reader :endpoint_url, :parsed_response

  def initialize
    @endpoint_url = 'http://www.reddit.com/r/cats/top/.json?sort=top&t=day'
    self.get
  end

  def get
    response = RestClient.get(endpoint_url)
    @parsed_response = self.parse(response)
  end

  def parse(data)
    JSON.parse(data)
  end

  def top
    parsed_response['data']['children'].first['data']
  end

  def display
    <<-EOS
    Today's top cat post is:
     Title: #{top['title']}
     Author: #{top['author']}
     Link: #{top['url']}
     EOS
  end
end
